;Hlavicka - popis konstrukce
;blikn led v sekundovem intervalu - blikani podle periody WDT casovace,led na PORTA,0 (katoda led)


;definice pouzitych registru 
tmp		equ		020h		;universalni registr nevyuzivam v konstrukci,pro pic169f628a zacina prvni volny registr na adrese 20h


;definice jednotlivych bitu promenych
#define		LED		PORTA,0	 	;vystup LED


;***************************************************************************
		LIST   P=16F628A
                #include c:\Program Files\Microchip\projekty\P16F628A.def
	__CONFIG _CP_OFF & _WDT_ON & _PWRTE_ON & _INTRC_OSC_NOCLKOUT & _BODEN_ON & _LVP_ON & _MCLRE_OFF
;kodova ochrana vypnuta,WDT casovac zapnut,Start.cas zapnut,vnitrni oscilatror,detekce nizkeho napeti zapnuta,MCLR off-provadeno vnitrne
;***************************************************************************
		org	0x0000		;vektor resetu
		movlw	#020h    	;adresa volne ram
		movwf	FSR		;do fsr
		goto	reset
		
		org	0x0004		;vektor preruseni
		goto	inter
;***************************************************************************
inter		return

;***************************************************************************

reset		clrwdt
		clrf	INDF		;vynuluj indf
		incf	FSR,f		;fsr+1
		btfss	FSR,7		;7bit=1 skoc - vynuluj vsech 128 registru v RAM
		goto	reset
		clrf	PORTA		;smaz porty
		clrf	PORTB
		movlw	0x07
		movwf	CMCON		;vypni komparatory (aby byl z portu A pouze digi vstup/vystup)
		bsf	RP0		;banka1
		clrf	PORTA		;PORTA vystupni
		movlw	b'11111111'
		movwf	PORTB		;porta je vstupni
		movlw	b'00001110' 	;nastaveni option reg,deli 64 (cca 1sek) a pripojena preddelicka 
		movwf	OPTION_REG	;k WDT
		bcf	OSCF		;vnitrni casovac nastav na 32Khz
		bcf	RP0		;banka 0
		clrf	INTCON		;zakaz preruseni
		bsf	LED		;zhasni vystup ledky

;***************************************************************************
start		sleep			;priblizne kazdou sekundu se probud
		clrwdt			;vynuluj ochranny casovac
		movlw	b'00000001'	;neguj led
		xorwf	PORTA,f		;vysledek kopiruj do f (port A)
		goto	start


		end